ContextMenuContentHandler (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.renderkit.html.ContextMenuContentHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ContextMenuContentHandler

    java.lang.Object
      org.richfaces.json.JSContentHandler
          org.richfaces.renderkit.MacroDefinitionJSContentHandler
              org.richfaces.renderkit.html.ContextMenuContentHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

    public class ContextMenuContentHandler

extends org.richfaces.renderkit.MacroDefinitionJSContentHandler

Author:
  Maksim Kaszynski

Field Summary

Fields inherited from class org.richfaces.json.JSContentHandler
`DEFAULT_ENCODING, indentBuffer, level, outputWriter`

Constructor Summary
`ContextMenuContentHandler(java.io.Writer writer, java.lang.String prolog, java.lang.String epilog)`

Method Summary
`protected void` | `encodeAttributeValue(org.xml.sax.Attributes attributes, int idx)`
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String name)`
`protected java.util.List` | `parseExpressiion(java.lang.String expressionString)`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String name, org.xml.sax.Attributes attributes)`

Methods inherited from class org.richfaces.renderkit.MacroDefinitionJSContentHandler
`characters, encodeText`

Methods inherited from class org.richfaces.json.JSContentHandler
`close, closeElement, comment, encode, encode, encode, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, getColumnNumber, getLineNumber, getLocation, getPublicId, getSystemId, ignorableWhitespace, isBeforeDocumentStart, isProcessingCdata, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping, writeIndent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextMenuContentHandler

    public ContextMenuContentHandler(java.io.Writer writer,
                                     java.lang.String prolog,
                                     java.lang.String epilog)

Parameters:
  `writer` -
  `prolog` -
  `epilog` -

Method Detail

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String name,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.richfaces.json.JSContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String name)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.richfaces.json.JSContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### parseExpressiion

    protected java.util.List parseExpressiion(java.lang.String expressionString)
                                       throws org.xml.sax.SAXException

  Overrides:
    `parseExpressiion` in class `org.richfaces.renderkit.MacroDefinitionJSContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### encodeAttributeValue

    protected void encodeAttributeValue(org.xml.sax.Attributes attributes,
                                        int idx)
                                 throws org.xml.sax.SAXException,
                                        java.io.IOException

  Overrides:
    `encodeAttributeValue` in class `org.richfaces.renderkit.MacroDefinitionJSContentHandler`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.